package com.aiosman.riderpro

import android.content.Context
import cn.jiguang.api.utils.JCollectionAuth
import cn.jpush.android.api.JPushInterface

object JPushManager {
    private var initialized = false

    fun init(context: Context) {
        if (!initialized) {
            JPushInterface.setDebugMode(true)
            // 调整点一：初始化代码前增加setAuth调用
            JCollectionAuth.setAuth(context, true)
            JPushInterface.init(context)
            initialized = true
        }
    }

    fun getRegistrationID(context: Context): String {
        init(context) // 确保 JPush 已经初始化
        return JPushInterface.getRegistrationID(context)
    }
}